<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xmlns:lang="http://www.springframework.org/schema/lang" xmlns:p="http://www.springframework.org/schema/p"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
		http://www.springframework.org/schema/lang http://www.springframework.org/schema/lang/spring-lang.xsd
		http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd">


	<bean id="uniqueServiceLocator"
		class="eu.dnetlib.enabling.locators.DefaultUniqueServiceLocator"
		p:defaultComparator-ref="defaultServiceComparator" />

	<bean id="preferLocalRunningInstanceComparator"
		class="eu.dnetlib.enabling.locators.comparators.PreferLocalRunningInstanceComparator" />

	<alias name="${default.service.comparator}" alias="defaultServiceComparator" />
	

</beans>
